Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_oid_init()

## Synopsis

    void
    bson_oid_init (bson_oid_t *oid, bson_context_t *context);

## Parameters

- `oid`: A bson_oid_t.

- `context`: An optional bson_context_t or NULL.

## Description

Generates a new bson_oid_t using either `context` or the default bson_context_t.